Subject: [alpine-devel] New perl aports

From: "Mika Havela" <[email-masked]>
Date: Wed, 05 May 2010 08:21:57 +0000

Hi!
I have been working on swatch for Alpine.
Swatch is a logfile monitoring app.
But in order to have swatch working, we need some perl packages.
In my build env. I have swatch running, but I need to do some init.d, conf.d and example configs before committing swatch.
But the attached perl-packages should be ok.
Please review and apply.
I get back to you soon with the aport for swatch.

<<mhavela>>

From 4fcbed6ab8e071c767fbf4a9b275e52d03930670 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:46:23 +0000
Subject: [PATCH 11/11] testing/perl-yaml-syck: new aport

---
 testing/perl-yaml-syck/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-yaml-syck/APKBUILD

diff --git a/testing/perl-yaml-syck/APKBUILD b/testing/perl-yaml-syck/APKBUILD
new file mode 100644
index 0000000..d1c6280
--- /dev/null
+++ b/testing/perl-yaml-syck/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-yaml-syck
+_realname=YAML-Syck
+pkgver=1.07
+pkgrel=0
+pkgdesc="Perl - Fast, lightweight YAML loader and dumper"
+url="http://search.cpan.org/~audreyt/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="410ef7e24185de2a04390e0543876cad  YAML-Syck-1.07.tar.gz"
-- 
1.7.0.5

From dbd6e5191e9b449f6b1ea170de3db7f75e0bf5d9 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:45:13 +0000
Subject: [PATCH 10/11] testing/perl-test-pod-coverage: new aport

---
 testing/perl-test-pod-coverage/APKBUILD |   36 +++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-test-pod-coverage/APKBUILD

diff --git a/testing/perl-test-pod-coverage/APKBUILD b/testing/perl-test-pod-coverage/APKBUILD
new file mode 100644
index 0000000..9a885e0
--- /dev/null
+++ b/testing/perl-test-pod-coverage/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-test-pod-coverage
+_realname=Test-Pod-Coverage
+pkgver=1.08
+pkgrel=0
+pkgdesc="Perl - Check for pod coverage in your distribution."
+url="http://search.cpan.org/~petdance/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-pod-coverage perl-test-pod perl-devel-symdump"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="33405cca7c75b7b89c06ba30eea66692  Test-Pod-Coverage-1.08.tar.gz"
-- 
1.7.0.5

From 20d4c8bfb4d2ab16285e87ddd1919c2c68e7a44f Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:44:24 +0000
Subject: [PATCH 09/11] testing/perl-test-inter: new aport

---
 testing/perl-test-inter/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-test-inter/APKBUILD

diff --git a/testing/perl-test-inter/APKBUILD b/testing/perl-test-inter/APKBUILD
new file mode 100644
index 0000000..29bdf21
--- /dev/null
+++ b/testing/perl-test-inter/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-test-inter
+_realname=Test-Inter
+pkgver=1.01
+pkgrel=0
+pkgdesc="Perl - Framework for more readable interactive test scripts"
+url="http://search.cpan.org/~sbeck/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-test-pod perl-pod-coverage perl-test-pod-coverage"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SB/SBECK/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="445166a7472e609b96e4474d95552827  Test-Inter-1.01.tar.gz"
-- 
1.7.0.5

From ca311c7d0986967c6d37bcbb0ca697cae8ea6582 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:43:58 +0000
Subject: [PATCH 08/11] testing/perl-test-exception: new aport

---
 testing/perl-test-exception/APKBUILD |   35 ++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-test-exception/APKBUILD

diff --git a/testing/perl-test-exception/APKBUILD b/testing/perl-test-exception/APKBUILD
new file mode 100644
index 0000000..7b276c6
--- /dev/null
+++ b/testing/perl-test-exception/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-test-exception
+_realname=Test-Exception
+pkgver=0.29
+pkgrel=0
+pkgdesc="Perl - Test exception based code"
+url="http://search.cpan.org/~adie/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-sub-uplevel"
+makedepends="perl-dev"
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AD/ADIE/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="9aea475db531d4fd4ce40cf25a0acd14  Test-Exception-0.29.tar.gz"
-- 
1.7.0.5

From 194198e00a46552a390edc49f9d16c3e2f94a7d5 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:42:30 +0000
Subject: [PATCH 07/11] testing/perl-sub-uplevel: new aport

---
 testing/perl-sub-uplevel/APKBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-sub-uplevel/APKBUILD

diff --git a/testing/perl-sub-uplevel/APKBUILD b/testing/perl-sub-uplevel/APKBUILD
new file mode 100644
index 0000000..10e4a49
--- /dev/null
+++ b/testing/perl-sub-uplevel/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-sub-uplevel
+_realname=Sub-Uplevel
+pkgver=0.22
+pkgrel=0
+pkgdesc="Perl - Apparently run a function in a higher stack frame"
+url="http://search.cpan.org/~dagolden/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl "
+makedepends="perl-dev"
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="c166738a97c0424a0075ebe205d285db  Sub-Uplevel-0.22.tar.gz"
-- 
1.7.0.5

From 6687a392f16107eebe8d4147c3ba8eb6c8db7f1d Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:41:09 +0000
Subject: [PATCH 06/11] testing/perl-pod-coverage: new aport

---
 testing/perl-pod-coverage/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-pod-coverage/APKBUILD

diff --git a/testing/perl-pod-coverage/APKBUILD b/testing/perl-pod-coverage/APKBUILD
new file mode 100644
index 0000000..cb17f52
--- /dev/null
+++ b/testing/perl-pod-coverage/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-pod-coverage
+_realname=Pod-Coverage
+pkgver=0.20
+pkgrel=0
+pkgdesc="Perl - Checks if the documentation of a module is comprehensive"
+url="http://search.cpan.org/~rclamp/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-devel-symdump perl-test-pod"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="292a5b8d3a93597af441d3e6467b8ad6  Pod-Coverage-0.20.tar.gz"
-- 
1.7.0.5

From af2a79da84f63523b180167c10bc605f8d70cf48 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:40:30 +0000
Subject: [PATCH 05/11] testing/perl-file-tail: new aport

---
 testing/perl-file-tail/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-file-tail/APKBUILD

diff --git a/testing/perl-file-tail/APKBUILD b/testing/perl-file-tail/APKBUILD
new file mode 100644
index 0000000..9623737
--- /dev/null
+++ b/testing/perl-file-tail/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-file-tail
+_realname=File-Tail
+pkgver=0.99.3
+pkgrel=0
+pkgdesc="Perl - Extension for reading from continously updated files"
+url="http://search.cpan.org/~mgrabnar/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MG/MGRABNAR/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="ef0fb7bcb4181ba593f4a09940f61d1c  File-Tail-0.99.3.tar.gz"
-- 
1.7.0.5

From a44c0a0322bb413fd36f59f30a2789349054af1c Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:39:37 +0000
Subject: [PATCH 04/11] testing/perl-devel-symdump: new aport

---
 testing/perl-devel-symdump/APKBUILD |   36 +++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-devel-symdump/APKBUILD

diff --git a/testing/perl-devel-symdump/APKBUILD b/testing/perl-devel-symdump/APKBUILD
new file mode 100644
index 0000000..16038e9
--- /dev/null
+++ b/testing/perl-devel-symdump/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-devel-symdump
+_realname=Devel-Symdump
+pkgver=2.08
+pkgrel=0
+pkgdesc="Perl - Dump symbol names or the symbol table"
+url="http://search.cpan.org/~andk/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-test-pod"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AN/ANDK/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="68e3a2f2f989bff295ee63aed5a2a1e5  Devel-Symdump-2.08.tar.gz"
-- 
1.7.0.5

From 729210b89761716a3b019bad80513c052191649b Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:39:07 +0000
Subject: [PATCH 03/11] testing/perl-date-manip: new aport

---
 testing/perl-date-manip/APKBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-date-manip/APKBUILD

diff --git a/testing/perl-date-manip/APKBUILD b/testing/perl-date-manip/APKBUILD
new file mode 100644
index 0000000..34a15d9
--- /dev/null
+++ b/testing/perl-date-manip/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-date-manip
+_realname=Date-Manip
+pkgver=6.11
+pkgrel=0
+pkgdesc="Perl - Date manipulation routines"
+url="http://search.cpan.org/~sbeck/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-test-pod perl-test-inter perl-yaml-syck perl-test-pod-coverage"
+makedepends="perl-dev"
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SB/SBECK/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	perl Build.PL || return 1
+	./Build test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	./Build destdir="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="7880db506f14080635972eb5607fa79d  Date-Manip-6.11.tar.gz"
-- 
1.7.0.5

From 4df46087ee5d42a7dd4964865e7c846bcb1806e2 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:38:35 +0000
Subject: [PATCH 02/11] testing/perl-date-format: new aport

---
 testing/perl-date-format/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-date-format/APKBUILD

diff --git a/testing/perl-date-format/APKBUILD b/testing/perl-date-format/APKBUILD
new file mode 100644
index 0000000..6615a97
--- /dev/null
+++ b/testing/perl-date-format/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-date-format
+_realname=TimeDate
+pkgver=1.20
+pkgrel=0
+pkgdesc="Perl - Date formating subroutines"
+url="http://search.cpan.org/~gbarr/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="7da7452bce4c684e4238e6d09b390200  TimeDate-1.20.tar.gz"
-- 
1.7.0.5

From 39aaf0a0681f703d0a434b3ec8a7cd5a1e26dbd7 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Wed, 5 May 2010 07:33:14 +0000
Subject: [PATCH 01/11] testing/perl-carp-clan: new aport

---
 testing/perl-carp-clan/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-carp-clan/APKBUILD

diff --git a/testing/perl-carp-clan/APKBUILD b/testing/perl-carp-clan/APKBUILD
new file mode 100644
index 0000000..e26e5d9
--- /dev/null
+++ b/testing/perl-carp-clan/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=perl-carp-clan
+_realname=Carp-Clan
+pkgver=6.04
+pkgrel=0
+pkgdesc="Perl - Report errors from perspective of caller of a 'clan' of modules"
+url="http://search.cpan.org/~stbey/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl perl-test-exception"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="b6316bc51bb530d994f2784615939fb2  Carp-Clan-6.04.tar.gz"
-- 
1.7.0.5